Data Fields
acc_touchless_button_handle_t Struct Reference

Touchless button application handle. More...

## Data Fields
acc_touchless_button_config_t | config
acc_sensor_t * | sensor
acc_processing_t * | processing
acc_processing_metadata_t | proc_metadata
acc_processing_result_t | proc_result
void * | buffer
uint32_t | buffer_size
int32_t * | double_buffer_filter_buffer
float * | frame_variance
float complex * | arg_norm
float * | ampl_mean
float * | ampl_std
float * | phase_mean
float * | phase_std
uint16_t | cal_interval_frames
uint16_t | cal_sweeps
acc_int16_complex_t * | dynamic_background
uint16_t | rows_in_dynamic_background
acc_int16_complex_t * | dynamic_background_guard
bool | update_background
uint16_t | frames_since_last_cal
float | close_threshold
float | far_threshold
uint16_t * | threshold_check_count
bool | run_close
bool | run_far
uint16_t | close_num_points
uint16_t | far_num_points
uint16_t | close_signal
uint16_t | far_signal
uint16_t | close_non_signal
uint16_t | far_non_signal
bool | close_detection
bool | far_detection

## Detailed Description

Touchless button application handle.

Definition at line 108 of file ref_app_touchless_button.c.

## Field Documentation

## ◆ ampl_mean

float* acc_touchless_button_handle_t::ampl_mean

Definition at line 120 of file ref_app_touchless_button.c.

## ◆ ampl_std

float* acc_touchless_button_handle_t::ampl_std

Definition at line 121 of file ref_app_touchless_button.c.

## ◆ arg_norm

float complex* acc_touchless_button_handle_t::arg_norm

Definition at line 119 of file ref_app_touchless_button.c.

## ◆ buffer

void* acc_touchless_button_handle_t::buffer

Definition at line 115 of file ref_app_touchless_button.c.

## ◆ buffer_size

uint32_t acc_touchless_button_handle_t::buffer_size

Definition at line 116 of file ref_app_touchless_button.c.

## ◆ cal_interval_frames

uint16_t acc_touchless_button_handle_t::cal_interval_frames

Definition at line 124 of file ref_app_touchless_button.c.

## ◆ cal_sweeps

uint16_t acc_touchless_button_handle_t::cal_sweeps

Definition at line 125 of file ref_app_touchless_button.c.

## ◆ close_detection

bool acc_touchless_button_handle_t::close_detection

Definition at line 142 of file ref_app_touchless_button.c.

## ◆ close_non_signal

uint16_t acc_touchless_button_handle_t::close_non_signal

Definition at line 140 of file ref_app_touchless_button.c.

## ◆ close_num_points

uint16_t acc_touchless_button_handle_t::close_num_points

Definition at line 136 of file ref_app_touchless_button.c.

## ◆ close_signal

uint16_t acc_touchless_button_handle_t::close_signal

Definition at line 138 of file ref_app_touchless_button.c.

## ◆ close_threshold

float acc_touchless_button_handle_t::close_threshold

Definition at line 131 of file ref_app_touchless_button.c.

## ◆ config

acc_touchless_button_config_t acc_touchless_button_handle_t::config

Definition at line 110 of file ref_app_touchless_button.c.

## ◆ double_buffer_filter_buffer

int32_t* acc_touchless_button_handle_t::double_buffer_filter_buffer

Definition at line 117 of file ref_app_touchless_button.c.

## ◆ dynamic_background

acc_int16_complex_t* acc_touchless_button_handle_t::dynamic_background

Definition at line 126 of file ref_app_touchless_button.c.

## ◆ dynamic_background_guard

acc_int16_complex_t* acc_touchless_button_handle_t::dynamic_background_guard

Definition at line 128 of file ref_app_touchless_button.c.

## ◆ far_detection

bool acc_touchless_button_handle_t::far_detection

Definition at line 143 of file ref_app_touchless_button.c.

## ◆ far_non_signal

uint16_t acc_touchless_button_handle_t::far_non_signal

Definition at line 141 of file ref_app_touchless_button.c.

## ◆ far_num_points

uint16_t acc_touchless_button_handle_t::far_num_points

Definition at line 137 of file ref_app_touchless_button.c.

## ◆ far_signal

uint16_t acc_touchless_button_handle_t::far_signal

Definition at line 139 of file ref_app_touchless_button.c.

## ◆ far_threshold

float acc_touchless_button_handle_t::far_threshold

Definition at line 132 of file ref_app_touchless_button.c.

## ◆ frame_variance

float* acc_touchless_button_handle_t::frame_variance

Definition at line 118 of file ref_app_touchless_button.c.

## ◆ frames_since_last_cal

uint16_t acc_touchless_button_handle_t::frames_since_last_cal

Definition at line 130 of file ref_app_touchless_button.c.

## ◆ phase_mean

float* acc_touchless_button_handle_t::phase_mean

Definition at line 122 of file ref_app_touchless_button.c.

## ◆ phase_std

float* acc_touchless_button_handle_t::phase_std

Definition at line 123 of file ref_app_touchless_button.c.

## ◆ proc_metadata

acc_processing_metadata_t acc_touchless_button_handle_t::proc_metadata

Definition at line 113 of file ref_app_touchless_button.c.

## ◆ proc_result

acc_processing_result_t acc_touchless_button_handle_t::proc_result

Definition at line 114 of file ref_app_touchless_button.c.

## ◆ processing

acc_processing_t* acc_touchless_button_handle_t::processing

Definition at line 112 of file ref_app_touchless_button.c.

## ◆ rows_in_dynamic_background

uint16_t acc_touchless_button_handle_t::rows_in_dynamic_background

Definition at line 127 of file ref_app_touchless_button.c.

## ◆ run_close

bool acc_touchless_button_handle_t::run_close

Definition at line 134 of file ref_app_touchless_button.c.

## ◆ run_far

bool acc_touchless_button_handle_t::run_far

Definition at line 135 of file ref_app_touchless_button.c.

## ◆ sensor

acc_sensor_t* acc_touchless_button_handle_t::sensor

Definition at line 111 of file ref_app_touchless_button.c.

## ◆ threshold_check_count

uint16_t* acc_touchless_button_handle_t::threshold_check_count

Definition at line 133 of file ref_app_touchless_button.c.

## ◆ update_background

bool acc_touchless_button_handle_t::update_background

Definition at line 129 of file ref_app_touchless_button.c.

The documentation for this struct was generated from the following file:

- Src/use_cases/reference_apps/ref_app_touchless_button.c